Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.log
Class MultiLogFactory

    java.lang.Object
      |
      +--com.solarmetric.log.MultiLogFactory

All Implemented Interfaces:
  LogFactory

public class MultiLogFactory
extends Object
implements LogFactory

A LogFactory implementation to pass events through multiple LogFactory implementations (such as log4j and LogPanelFactory).

Constructor Summary
`MultiLogFactory(LogFactory[] delegates)` create an instance with the given delegates
`MultiLogFactory(LogFactory d1, LogFactory d2)` create an instance with two delegates
`MultiLogFactory(LogFactory d1, LogFactory d2, LogFactory d3)`

Method Summary
`void` | `addLogFactory(LogFactory factory)`
`LogFactory[]` | `getDelegates()` Returns the delegates that this MultiLogFactory delegates messages to.
`Log` | `getLog(String channel)` returns a Log impl that combines all logs.
`void` | `removeLogFactory(LogFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiLogFactory

    public MultiLogFactory(LogFactory d1,
                           LogFactory d2)

  create an instance with two delegates

### MultiLogFactory

    public MultiLogFactory(LogFactory d1,
                           LogFactory d2,
                           LogFactory d3)

### MultiLogFactory

    public MultiLogFactory(LogFactory[] delegates)

  create an instance with the given delegates

Method Detail

### addLogFactory

    public void addLogFactory(LogFactory factory)

### removeLogFactory

    public void removeLogFactory(LogFactory factory)

### getDelegates

    public LogFactory[] getDelegates()

  Returns the delegates that this MultiLogFactory delegates messages to.

### getLog

    public Log getLog(String channel)

  returns a Log impl that combines all logs.
  Specified by:
    `getLog` in interface `LogFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.